#
# spec file for package python-holidays
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-holidays
Version:        0.10.1
Release:        bp156.3.1
Summary:        Python library for generating holidays on the fly
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dr-prodigy/python-holidays
Source:         https://files.pythonhosted.org/packages/source/h/holidays/holidays-%{version}.tar.gz
BuildRequires:  %{python_module convertdate}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-convertdate
Requires:       python-python-dateutil
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
A Python library for generating country, province and state specific sets of holidays on the fly.
It makes determining whether a specific date is a holiday possible.

%prep
%setup -q -n holidays-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand $python -m unittest discover

%files %{python_files}
%license LICENSE
%doc CHANGES README.rst
%{python_sitelib}/*

%changelog
* Thu Apr  9 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.10.1
  * Project structure refactoring (MaxHaertwig, dr-p)
  * Added support for Python3.8 (dr-p)
  * Dropped support for pypy and Python3.4, welcome back pypy3 (dr-p)
  * Fully reviewed Travis CI integration (dr-p)
  * Added 3-digit country ISO codes (MaxHaertwig)
  * Support for Paraguay (dr-p, sfeliu)
  * Support for Israel (giladmaya, dr-p)
  * Support for Egypt (gaberm)
  * Support for Serbia (kosugor)
  * Support for Singapore (mborsetti)
  * README.rst fixes / sync
  * Brazil-Parana support (dr-p, jbroudou)
  * Japan fixes (dr-p, thophan92, saurabh3896)
  * Canada, Spain, US fixes (jbroudou)
  * Belarus fix (mpolyakovsky)
* Fri Jan 17 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to 0.9.12:
  * Support for Nigeria (ioluwayo)
  * Support for India - Telangana (kiranbeethoju, dr-p)
  * Support for Dominican Republic (gabmartinez)
  * Support for Nicaragua (CARocha)
  * Code refactoring, bugfixes (vlt)
  * Add method to list all supported countries (fabaff)
  * Germany bugfixes (bitraten)
  * Correctly handle United Kingdom "May Day" holiday in 2020 - #219 (robfraz)
  * Hungary fixes (gypapp)
  * Chile test fixes (rpanai)
  * Italy fixes (jokerigno, sixbladeknife)
  * Other minor fixes
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.11:
  - Added Japanese holidays for new Emperor (kokinamura)
  - Fixed Australian Canberra day holiday (explodingdinosaurs, dr-p)
  - Added support for Estonian holidays (RaulVS14)
  - Added support for Iceland and Kenya (justinasfour04)
  - Added support for Aruba (orson1282)
  - Added support for Hong Kong (polifaces)
  - Added support for Peru (manuelvalino)
  - Switzerland fixes (spasche)
  - Croatia fix (pave121, dr-p)
  - Polish deprecation: replaced by Poland (dr-p)
  - Czech(ia) - Slovak(ia) fixes (dr-p)
  - Allow passing years to CountryHoliday (mr.shu)
* Fri Mar 15 2019 Jan Engelhardt <jengelh@inai.de>
- Remove conjecture from description and ensure neutrality.
* Fri Mar 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.10:
  - Added Lithuanian holidays support (GiedriusMauza)
  - Added Luxembourgish holidays (theFeverDog)
  - Added Russian holidays (mshinkareva)
  - Added Bulgarian holidays (pavelsof)
  - Holidays in date range (elln2)
  - German holidays updates (MrtnBckr, alexanderschulze)
  - South African holidays updates (nickyspag)
  - Australian holidays updates (itssimon)
- Run tests
- Run fdupes
- Fix URL
* Tue Mar 12 2019 Adrian Schröter <adrian@suse.de>
- initial package of version 0.9.9
